Package com.databricks.jdbc.api.impl.converters

## Class DoubleConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.DoubleConverter

All Implemented Interfaces:
  `ObjectConverter`

    public class DoubleConverter
    extends Object
    implements ObjectConverter

### Field Summary

### Fields inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`DEFAULT_TIMESTAMP_SCALE, POWERS_OF_TEN`

### Constructor Summary

Constructors
`DoubleConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `toBigDecimal​(Object object)`
`BigInteger` `toBigInteger​(Object object)`
`boolean` `toBoolean​(Object object)`
`byte` `toByte​(Object object)`
`byte[]` `toByteArray​(Object object)`
`double` `toDouble​(Object object)`
`float` `toFloat​(Object object)`
`int` `toInt​(Object object)`
`long` `toLong​(Object object)`
`short` `toShort​(Object object)`
`String` `toString​(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`toAsciiStream, toBigDecimal, toBinaryStream, toChar, toCharacterStream, toDatabricksArray, toDatabricksGeography, toDatabricksGeometry, toDatabricksMap, toDatabricksStruct, toDate, toLocalDate, toTime, toTimestamp, toTimestamp, toUnicodeStream`

### Constructor Detail

#### DoubleConverter

    public DoubleConverter()

### Method Detail

#### toDouble

    public double toDouble​(Object object)
                    throws DatabricksSQLException

Specified by:
  `toDouble` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toBoolean

    public boolean toBoolean​(Object object)
                      throws DatabricksSQLException

Specified by:
  `toBoolean` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toByte

    public byte toByte​(Object object)
                throws DatabricksSQLException

Specified by:
  `toByte` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toShort

    public short toShort​(Object object)
                  throws DatabricksSQLException

Specified by:
  `toShort` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toInt

    public int toInt​(Object object)
              throws DatabricksSQLException

Specified by:
  `toInt` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toLong

    public long toLong​(Object object)
                throws DatabricksSQLException

Specified by:
  `toLong` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toFloat

    public float toFloat​(Object object)
                  throws DatabricksSQLException

Specified by:
  `toFloat` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toBigDecimal

    public BigDecimal toBigDecimal​(Object object)
                            throws DatabricksSQLException

Specified by:
  `toBigDecimal` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toBigInteger

    public BigInteger toBigInteger​(Object object)
                            throws DatabricksSQLException

Specified by:
  `toBigInteger` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toByteArray

    public byte[] toByteArray​(Object object)
                       throws DatabricksSQLException

Specified by:
  `toByteArray` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toString

    public String toString​(Object object)
                    throws DatabricksSQLException

Specified by:
  `toString` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`